(import big-chicken trace rmtmod apimod dbmod ulex srfi-18)
(trace-call-sites #t)
(trace 
  ;; db:get-tests-for-run
  ;; rmt:general-open-connection
  ;; rmt:open-main-connection
  ;; rmt:drop-conn
  ;; rmt:send-receive
  ;; rmt:log-to-main
  )


(module junk
	*

  (import big-chicken rmtmod apimod dbmod srfi-18)
  
(define (make-run-id)
  (let* ((s (conc (current-process-id)))
	 (l (string-length s)))
    (string->number (substring s (- l 3) l))
    ))

(define (run)
  (let* ((th1 (make-thread
	       (lambda ()
		 (let loop ((r (make-run-id))
			    (i 1))
		   (let ((start-time (current-milliseconds)))
		      (rmt:register-test r "test1" (conc "item_" i))
		      (let ((qry-time (- (current-milliseconds) start-time)))
			(if (> qry-time 500)
			    (print "WARNING: rmt:register-test took more than 500ms, "qry-time"ms"))))
		   (if (eq? (modulo i 100) 0)
		       (print "For run-id="r", num tests registered="i))
		   (if (< i 100000)
		       (loop r (+ i 1))
		       (if (< r 100)
			   (begin
			     (print "get-tests-for-run "r)
			     (rmt:get-tests-for-run r "%" '() '() 0 #f #f #f #f #f 0 #f)
			     (loop (+ r 1) 0)))))
		 ))))
    (thread-start! th1)
    (thread-join! th1)))

)

(import junk)
(run)



